Index: trunk/expressoMail1_2/templates/xsl/searchMails.xsl
===================================================================
--- trunk/expressoMail1_2/templates/xsl/searchMails.xsl	(revision 5680)
+++ 	(revision )
@@ -1,127 +1,0 @@
-<?xml version="1.0" encoding="ISO-8859-1"?>
-<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
-	<xsl:output method="html" omit-xml-declaration="yes"/>
-
-	<xsl:param name="button_left" />
-	<xsl:param name="button_right" />
-	<xsl:param name="Inform_your_search_in_the_text_fields" />
-	<xsl:param name="From" />
-	<xsl:param name="To" />
-	<xsl:param name="Cc" />
-	<xsl:param name="Subject" />
-	<xsl:param name="Message_body" />
-	<xsl:param name="Since_Date" />
-	<xsl:param name="Before_Date" />
-	<xsl:param name="On_Date" />
-	<xsl:param name="Flags" />
-	<xsl:param name="Flagged" />
-	<xsl:param name="Unflagged" />
-	<xsl:param name="Seen" />
-	<xsl:param name="Unseen" />
-	<xsl:param name="Answered_Forwarded" />
-	<xsl:param name="Unanswered_Unforwarded" />
-	<xsl:param name="Recent" />
-	<xsl:param name="Old" />
-	<xsl:param name="Search_the_messages_in_these_folders" />
-	<xsl:param name="In_all_the_folders" />
-	
-	<xsl:template match="searchMails">
-	
-        	<fieldset style="width:340px; height:350px; text-align:right; padding: 5px; position:absolute; margin:5px; border:0px ">
-				<legend><xsl:value-of select="$Inform_your_search_in_the_text_fields" /></legend>
-			
-				<label><xsl:value-of select="$From"/>:</label>
-				<input style="margin-left: 6px;" type="text" id="txt_de" size="20" />
-				<br style="margin-bottom:15px" />
-
-				<label><xsl:value-of select="$To"/>:</label>
-				<input style="margin-left: 6px;" type="text" id="txt_para" size="20" />
-				<br style="margin-bottom:15px"/>
-
-				<label><xsl:value-of select="$Cc"/>:</label>
-				<input style="margin-left: 6px;" type="text" id="txt_cc" size="20" />
-				<br style="margin-bottom:15px"/>
-
-				<label><xsl:value-of select="$Subject"/>:</label>
-				<input style="margin-left: 6px;" type="text" id="txt_ass" size="20" />
-				<br style="margin-bottom:15px"/>
-
-				<label><xsl:value-of select="$Message_body"/>:</label>
-				<input style="margin-left: 6px;" type="text" id="txt_body" size="20" />
-				<br style="margin-bottom:30px" />
-
-				<label><xsl:value-of select="$Since_Date"/></label>
-				<input style="margin-left: 6px;" type="text" id="since_date" size="11" maxlength="10" onkeypress="return dateMask(this, event);" readonly="readonly" />
-
-				<label style="margin-left: 10px;"><xsl:value-of select="$Before_Date"/>:</label>
-				<input style="margin-left: 6px;" type="text" id="before_date" size="11" maxlength="10" onkeypress="return dateMask(this, event);" readonly="readonly" />
-				<br style="margin-bottom:15px" />
-
-				<label><xsl:value-of select="$On_Date"/>:</label>
-				<input style="margin-left: 6px;" type="text" id="on_date" size="11" maxlength="10" onkeypress="return dateMask(this, event);" readonly="readonly" />
-				<br style="margin-bottom:30px"/>
-
-				<label><xsl:value-of select="$Flags"/>:</label>
-
-				<select style="width:15em; margin-left: 6px" name="flagged" id="flagged">
-					<option value=""/>
-					<option value="FLAGGED"><xsl:value-of select="$Flagged"/></option>
-					<option value="UNFLAGGED"><xsl:value-of select="$Unflagged"/></option>
-				</select>
-
-				<br style="margin-bottom:15px"/>
-			
-				<select style="width:15em;" name="seen" id="seen">
-					<option value=""/>
-					<option value="SEEN"><xsl:value-of select="$Seen"/></option>
-					<option value="UNSEEN"><xsl:value-of select="$Unseen"/></option>
-				</select>
-			
-				<br style="margin-bottom:15px"/>
-			
-				<select style="width:15em;" name="answered" id="answered">
-					<option value=""/>
-					<option value="ANSWERED"><xsl:value-of select="$Answered_Forwarded"/></option>
-					<option value="UNANSWERED"><xsl:value-of select="$Unanswered_Unforwarded"/></option>
-				</select>
-			
-				<br style="margin-bottom:15px"/>
-			
-				<select style="width:15em;visibility:hidden;" name="recent" id="recent">
-					<option value=""/>
-					<option value="RECENT"><xsl:value-of select="$Recent"/></option>
-					<option value="OLD"><xsl:value-of select="$Old"/></option>
-				</select>
-
-				<br style="margin-bottom:60px"/>
-		</fieldset>
-
-		<fieldset style="width:395px; height:350px; padding: 5px; position:absolute; margin-left: 365px; margin-top:5px; border:0px;">
-			
-			<legend>
-				<xsl:value-of select="$Search_the_messages_in_these_folders"/>
-			</legend>
-
-			<div id="divFoldersSearch" style="width:165px; height:150px; float:left; margin-bottom:10px; border:1px outset black; background:#F7F7F7; overflow:auto;"></div>
-			
-			<div style="float:left; height:100px; padding-top:50px; margin: 0 3px;">
-				<input type="button" id="incluir" name="incluir" value="{$button_right}" onclick="EsearchE.add_mailboxes()" class="button ui-button ui-widget ui-state-default ui-corner-all" role="button" aria-disabled="false" />
-				<br style="margin-bottom:15px" />
-				<input type="button" id="excluir" name="excluir" value="{$button_left}" onclick="EsearchE.del_mailboxes()" class="button ui-button ui-widget ui-state-default ui-corner-all" role="button" aria-disabled="false" />
-			</div>
-			
-			<div style="float:left;">
-				<select multiple="true" id="sel_search_nm_box1" name="sel_search_nm_box1" style="width:165px;height:150px; background:#F7F7F7; color:#FC6103; font-size:10px; font-family:sans-serif; font-weight:bold"></select>
-			</div>
-			
-			<br clear="both"/>
-
-			<input type="checkBox" id="check_all_msg" name="check_all_msg" onclick="EsearchE.all_mailboxes()"/>
-			
-			<b><xsl:value-of select="$In_all_the_folders"/></b>
-			
-		</fieldset>
-		 
-	</xsl:template>
-	
-</xsl:stylesheet>