Index: trunk/library/ckeditor/plugins/expresso/plugin.js
===================================================================
--- trunk/library/ckeditor/plugins/expresso/plugin.js	(revision 5706)
+++ trunk/library/ckeditor/plugins/expresso/plugin.js	(revision 5767)
@@ -171,5 +171,5 @@
                                 if(newAttach.rollback !== false)
                                 {
-                                    fileUploadMSG.find('.in-progress:first').parents('p').append('<input type="hidden" name="fileId[]" value="'+newAttach['mailAttachment'][0][0].id+'"/>');
+                                    fileUploadMSG.find('.in-progress:first').parents('p').append('<input type="hidden" name="fileId[]" value="'+newAttach['mailAttachment'][0][0].id+'"/>').find('.status-upload').addClass('ui-icon ui-icon-check');
                                     addAttachment(ID,newAttach['mailAttachment'][0][0].id);
                                     var content_body  = RichTextEditor.getData('body_'+ID);
Index: trunk/prototype/modules/mail/templates/attachment_add_itemlist.ejs
===================================================================
--- trunk/prototype/modules/mail/templates/attachment_add_itemlist.ejs	(revision 5604)
+++ trunk/prototype/modules/mail/templates/attachment_add_itemlist.ejs	(revision 5767)
@@ -1,5 +1,4 @@
-
-	<p class="input-group archive-info" style="margin: 0px 0 !important;">		
-		<a id="<%=data.file.id%>" class="download file"><span title="<%=data.file.fullFileName%>" class="archive-attach name"><%=data.file.fileName%></span></a>
+	<p class="input-group archive-info" style="margin: 0px 0 !important; height: 17px">		
+		<span title="<%=data.file.fullFileName%>" class="archive-attach name"><%=data.file.fileName%></span>
 		<span class="archive-attach size"><%=data.file.fileSize%></span>
 		<button type="button" class="button close tiny upload delete-upload" title="Deletar">Deletar</button>
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5765)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5767)
@@ -4266,5 +4266,5 @@
                                 if(newAttach.rollback !== false)
                                 {
-                                    fileUploadMSG.find('.in-progress:first').parents('p').append('<input type="hidden" name="fileId[]" value="'+newAttach['mailAttachment'][0][0].id+'"/>');
+                                    fileUploadMSG.find('.in-progress:first').parents('p').append('<input type="hidden" name="fileId[]" value="'+newAttach['mailAttachment'][0][0].id+'"/>').find('.status-upload').addClass('ui-icon ui-icon-check');
                                     addAttachment(ID,newAttach['mailAttachment'][0][0].id);
                                 }
@@ -4279,5 +4279,5 @@
                     
 		}
-	}).find('[name="files[]"]').css({"height" : "20px", "width": "100px", "border-width": "0 0 0px 0px", "-moz-transform" : "none"});
+	}).find('[name="files[]"]').css({"height" : "20px", "width": "100px", "border-width": "0 0 0px 0px", "-moz-transform" : "none","-o-transform" : 'none'});
 
        fileUploadMSG.find("span.message-attach-link").click(function(event){
@@ -4312,5 +4312,5 @@
                                                         attach.fileSize = formatBytes(onceOpenedMessages[folder_name][message_number].size);
                                                         var upload = $(DataLayer.render("../prototype/modules/mail/templates/attachment_add_itemlist.ejs", {file : attach}));
-                                                        upload.find('.status-upload').remove();
+                                                        upload.find('.status-upload').addClass('ui-icon ui-icon-check');
                                                         upload.find('.in-progress').remove(); 
                                                         upload.append('<input type="hidden" name="fileId[]" value=\''+idATT+'\'/>');