Index: trunk/INSTALL/arquivos/scripts/http.sh
===================================================================
--- trunk/INSTALL/arquivos/scripts/http.sh	(revision 5797)
+++ trunk/INSTALL/arquivos/scripts/http.sh	(revision 5802)
@@ -6,8 +6,8 @@
 cpexpresso ()
 {
-	DIR_EXPRESSO="$1"
+	DIR_EXPRESSO="$1/expresso"
 	# Copia o Expresso para o diretÃ³rio indicado como parÃ¢metro
 	echo "Copiando arquivos do Expresso Livre..."
-	cp -r `dirname $PWD` $DIR_EXPRESSO/expresso
+	cp -r `dirname $PWD` $DIR_EXPRESSO
 	# Copia o mkntpwd para o home do Expresso
 	mkdir -p /home/expressolivre
@@ -17,5 +17,5 @@
 	get_pass
 	HEADER_PWD=`php $ARQS/scripts/pass.php $LDAP_PWD`
-	sed -e "s/HEADER_PWD/$HEADER_PWD/g" -e "s/EXPRESSO_DIR/$DIR_EXPRESSO/g" $ARQS/header.inc.php > $DIR_EXPRESSO/header.inc.php
+	sed -e "s/HEADER_PWD/$HEADER_PWD/g" -e "s|EXPRESSO_DIR|$DIR_EXPRESSO|g" $ARQS/header.inc.php > $DIR_EXPRESSO/header.inc.php
 
 	# Requisita o domino para corrigir o hosts do servidor, utilizado pelo apache
Index: trunk/INSTALL/arquivos/expresso.dump
===================================================================
--- trunk/INSTALL/arquivos/expresso.dump	(revision 5797)
+++ trunk/INSTALL/arquivos/expresso.dump	(revision 5802)
@@ -13917,5 +13917,5 @@
 phpgwapi	sessions_timeout	14400
 phpgwapi	sessions_app_timeout	86400
-phpgwapi	ldap_root_pw	prognus
+phpgwapi	ldap_root_pw	LDAP_PWD
 contactcenter	cc_global_source0	ldap
 contactcenter	cc_catalog_name	Catálogo Geral
@@ -13959,5 +13959,5 @@
 phpgwapi	context_ldap_jabber	dc=prognus,dc=com,dc=br
 phpgwapi	user_ldap_jabber	cn=admin
-phpgwapi	password_ldap_jabber	prognus
+phpgwapi	password_ldap_jabber	LDAP_PWD
 workflow	workflow_database_type	pgsql
 workflow	database_type	pgsql
@@ -13973,5 +13973,5 @@
 jabberit_messenger	server_ldap_jabberit	localhost
 jabberit_messenger	context_ldap_jabberit	dc=prognus,dc=com,dc=br
-jabberit_messenger	password_ldap_jabberit	prognus
+jabberit_messenger	password_ldap_jabberit	LDAP_PWD
 jabberit_messenger	user_ldap_jabberit	uid=expresso-admin,ou=prognus,dc=prognus,dc=com,dc=br
 phpgwapi	name_jabberit	localhost
@@ -13982,5 +13982,5 @@
 phpgwapi	context_ldap_jabberit	dc=prognus,dc=com,dc=br
 phpgwapi	user_ldap_jabberit	uid=expresso-admin,ou=br,dc=prognus,dc=com,dc=br
-phpgwapi	password_ldap_jabberit	prognus
+phpgwapi	password_ldap_jabberit	LDAP_PWD
 contactcenter	cc_ldap_query_automatic	true
 workflow	log_type_file	True
@@ -14002,5 +14002,5 @@
 
 COPY phpgw_emailadmin (profileid, smtpserver, smtptype, smtpport, smtpdelimiter, smtpauth, smtpldapserver, smtpldapbasedn, smtpldapadmindn, smtpldapadminpw, smtpldapusedefault, imapserver, imaptype, imapport, imapdelimiter, imaplogintype, imaptlsauthentication, imaptlsencryption, imapenablecyrusadmin, imapadminusername, imapadminpw, imapenablesieve, imapsieveserver, imapsieveport, description, defaultdomain, organisationname, userdefinedaccounts, imapoldcclient, imapdefaulttrashfolder, imapdefaultsentfolder, imapdefaultdraftsfolder, imapdefaultspamfolder, imapcreatespamfolder, imapcyrususerpostspam) FROM stdin;
-1	127.0.0.1	2	25	\N		127.0.0.1	dc=prognus,dc=com,dc=br	cn=admin,dc=prognus,dc=com,dc=br	prognus	yes	127.0.0.1	3	143	/	standard			yes	expresso-admin	prognus	yes	127.0.0.1	2000	Expresso	prognus.prognus.com.br	prognus			Trash	Sent	Drafts	Spam	\N	\N
+1	127.0.0.1	2	25	\N		127.0.0.1	dc=prognus,dc=com,dc=br	cn=admin,dc=prognus,dc=com,dc=br	LDAP_PWD	yes	127.0.0.1	3	143	/	standard			yes	expresso-admin	LDAP_PWD	yes	127.0.0.1	2000	Expresso	prognus.prognus.com.br	prognus			Trash	Sent	Drafts	Spam	\N	\N
 \.
 
Index: trunk/INSTALL/rhel/6/etc/imapd.conf
===================================================================
--- trunk/INSTALL/rhel/6/etc/imapd.conf	(revision 5797)
+++ trunk/INSTALL/rhel/6/etc/imapd.conf	(revision 5802)
@@ -7,5 +7,6 @@
 
 sasl_pwcheck_method: saslauthd
-sasl_mech_list: PLAIN
+sasl_mech_list: LOGIN PLAIN
+allowplaintext: yes
 auxprop_plugin: ldapdb
 
Index: trunk/INSTALL/LEIAME
===================================================================
--- trunk/INSTALL/LEIAME	(revision 5797)
+++ trunk/INSTALL/LEIAME	(revision 5802)
@@ -1,5 +1,57 @@
-LEIA-ME
+==========================================================================
+   INFORMACOES IMPORTANTES ANTES DE INSTALAR O PACOTE EXPRESSOLIVRE
+==========================================================================
 
-Passos para adicionar adicionar um novo SO no instalador:
- 1. No menu de seleÃ§Ã£o de SO, adicionar mais uma linha no dialog;
- 2. Dentro da pasta arquivos/scripts/*.sh, adicione em cada serviÃ§o uma funÃ§Ã£o (deve ser exatamente similar as outras jÃ¡ existentes) que execute a instalaÃ§Ã£o do serviÃ§o em questÃ£o;
+ Esse instalador deve ser usado em uma instalacao "zerada" do Sistema 
+Operacional. Sendo assim, nao recomendamos seu uso em ambientes com 
+instalacoes que ja estejam em producao ou que usem algum tipo de servico 
+comum ao Expresso.
+ Sob estas condicoes, o uso indevido deste instalador podera acarretar em 
+perdas e danos ao seu sistema atual e suas informacoes.
+
+ LEMBRE-SE: A COMUNIDADE EXPRESSO LIVRE, COMPREENDENDO AS PESSOAS E EMPRESAS
+QUE FAZEM PARTE DO PROJETO NAO RESPONSABILIZAM POR PERDAS DE DADOS 
+OCASIONADAS PELO USO DESTE SOFTWARE, SEJA DO INSTALADOR OU DE TODO O CODIGO
+DO EXPRESSO LIVRE.
+
+ Recomendamos acompanhar passo-a-passo todas as rotinas do script instalador
+para entender melhor o funcionamento dos servicos e suas integracoes. No 
+link ambiente colaborativo, http://trac.expressolivre.org/wiki/versions, 
+existe um roteiro completo da instalacao manual do Expresso Livre.
+
+ Recomendamos a leitura do script de instalacao referente a sua distribuicao
+Linux. Ajuste as rotinas de acordo com as suas necessidades, se necessario.
+
+ O script 'expressoInstall.sh' centraliza a execucao para as diferentes
+distribuicoes. Inicie a instalacao por ele.
+
+Outras recomendacoes:
+I -  Antes de executar o instalador, verifique se o gerenciador de pacotes
+(apt, yum, ...) da sua distribuicao esta funcionando corretamente.
+
+II - O que o script de instalacao ira fazer para voce:
+     - Instalar os pacotes e os servicos necessarios para o ExpressoLivre
+     - Copiar e configurar todos estes pacotes.
+     - Copiar arquivos de configuracao do ExpressoLivre para estes pacotes.
+    
+III - O que voce precisa conhecer para poder instalar o ExpressoLivre:
+     - Administrar, configurar o sistema operacional que sera usado.
+     - Conhecer, no minimo, o funcionamento dos seguintes servicos:
+     - Apache + PHP;
+     - Postgresql;
+     - Postfix;
+     - Cyrus-Imapd;
+     - OpenLDAP;
+
+Dica: Visite o site destes softwares para conhecer mais sobre cada um.
+
+IV - Como iniciar a instalacao:
+    - Execute (como root) o script expressoInstall.sh;
+    ==>   ./expressoInstall.sh
+
+ * Qualquer experiencia nova e construtiva sera bem vinda ao projeto. *
+
+==========================================================================
+Para mais informacoes sobre o projeto Expresso Livre, visite o site:
+     > > > > >   http://www.expressolivre.org    < < < < <
+==========================================================================
Index: trunk/INSTALL/PREINSTALL
===================================================================
--- trunk/INSTALL/PREINSTALL	(revision 5797)
+++ 	(revision )
@@ -1,31 +1,0 @@
-==========================================================================
-   INFORMACOES IMPORTANTES ANTES DE INSTALAR O PACOTE EXPRESSOLIVRE
-==========================================================================
-
-I -  Caso seja Debian, antes de executar o instalador, verifique se o 
-gerenciador de pacotes (apt-get) esta funcionando corretamente.
-Para ter certeza, verifique com o comando "apt-get update".
-
-II - O que o script de instalacao ira fazer para voce:
-     - Instalar os pacotes e os servicos necessarios para o ExpressoLivre
-     - Copiar e configurar todos estes pacotes.
-     - Copiar arquivos de configuracao do ExpressoLivre para estes pacotes.
-    
-III - O que voce precisa conhecer para poder instalar o ExpressoLivre:
-     - Administrar, configurar o sistema operacional que sera usado.
-     - Conhecer, no minimo, o funcionamento dos seguintes servicos:
-     - Apache + PHP;
-     - Postgresql;
-     - Postfix;
-     - Cyrus-Imapd;
-     - OpenLDAP;
-
-Dica: Visite o site destes pacotes para conhecer mais sobre cada um.
-
-IV - Como iniciar a instalacao:
-    - Execute (como root) o script expressoInstall.sh;
-    ==>   #./expressoInstall.sh
-==========================================================================
-Para mais informacoes sobre o projeto Expresso Livre, visite o site:
-     > > > > >   http://www.expressolivre.org    < < < < <
-==========================================================================
Index: trunk/INSTALL/README
===================================================================
--- trunk/INSTALL/README	(revision 5797)
+++ 	(revision )
@@ -1,49 +1,0 @@
-=================================================================================
-AVISO: LEIA ATENTAMENTE ANTES DE INSTALAR O EXPRESSO LIVRE PELO SCRIPT
-=================================================================================
-
-* Os scripts para a distribuicao Debian (Sarge, Etch e Lenny) sao mantidos 
-pela equipe ExpressoLivre. As versoes Etch e Lenny utilizam o padrao UTF-8.
-
-* Demais scripts sao contribuicoes vindas da comunidade ExpressoLivre.
-
-* Duvidas sobre a instalacao no SUSE, devem ser direcionadas para 
-Marcus Burghardt (kr4mus@hotmail.com).
-
-* Duvidas sobre a instalacao no CentOS, devem ser direcionadas para 
-M. Rodrigo Monteiro (mrodrigom@gmail.com).
-
-* Duvidas sobre a instalacao no Red Hat Enterprise 5, devem ser direcionadas
- para Cassio Luiz (cassiolp@cnpq.br).
-
-* Recomendamos a leitura do script de instalacao referente a sua distribuicao
- Linux. Ajuste as rotinas de acordo com as suas necessidades, se necessario.
-
-* O script 'expressoInstall.sh' centraliza a execucao para as diferentes 
-distribuicoes. Inicie a instalacao por ele.
-
-* Esse instalador deve ser usado em uma instalacao "zerada" do Sistema
- Operacional. Sendo assim, nao recomendamos seu uso em ambientes com instalacoes 
-que ja estejam em producao ou que usem algum tipo de servico comum ao Expresso.
- Sob essas condicoes, podera acarretar em perdas e danos ao seu sistema atual.
-
-* Uma dica interessante eh configurar um DNS (Bind) na maquina ou adicionar
- a entrada do servidor Expresso em uma zona ja em uso. Com isso, o usuario 
-final nao precisara ficar digitando o IP da maquina no browser toda vez 
-que quiser acessar o Expresso.
-
-* Recomendamos acompanhar passo-a-passo todas as rotinas do script instalador 
-para entender melhor o funcionamento dos servicos. No link Ambiente 
-Colaborativo, do site http://www.expressolivre.org, existe um roteiro 
-completo da instalacao manual do Expresso.
-
-* Qualquer experiencia nova e construtiva sera bem vinda ao projeto.
-
-LEMBRE-SE: VOCE DEVE SABER QUAL DISTRIBUICAO UTILIZAR. 
-NAO NOS RESPONSABILIZAMOS POR PERDAS DE DADOS OCASIONADAS PELO USO 
-DESSE INSTALADOR.
-
-==============================================================================
-Para mais informacoes sobre o projeto Expresso Livre, visite o site:
-         > > > > >   http://www.expressolivre.org    < < < < <
-==============================================================================