Index: /trunk/prototype/services/iCal.php
===================================================================
--- /trunk/prototype/services/iCal.php	(revision 5804)
+++ /trunk/prototype/services/iCal.php	(revision 5835)
@@ -218,4 +218,5 @@
                                 else
                                 {
+			
                                     if( self::_getTime($component , 'dtstamp') > $schedulable['dtstamp'] || $component->getProperty( 'sequence' , false , false ) > $schedulable['sequence']) //Organizador esta requisitando que você atualize o evento
                                        $interation = self::_makeVEVENT($schedulable , $component , $params);
@@ -225,4 +226,9 @@
                                         //Aparentemente é para retornar um ical com o evento atualizado para o attende
                                     } 
+				    if(isset($params['status']))
+                                    {
+                                        $pID = self::_getParticipantByMail( Config::me('mail') , $schedulable['participants'] );
+                                        $interation['participant://'.$pID]['status'] = $params['status'];
+                                    }
                                 }
     
Index: /trunk/prototype/modules/calendar/css/layout.css
===================================================================
--- /trunk/prototype/modules/calendar/css/layout.css	(revision 5788)
+++ /trunk/prototype/modules/calendar/css/layout.css	(revision 5835)
@@ -623,7 +623,13 @@
 
 .events-list-win.empty {
-	line-height: 270px;
-    text-align: center;
     width: 100%;
+}
+
+.events-list-win.empty table.header-paginator{
+    margin-bottom: 80px;
+}
+
+.events-list-win.empty label.empty-result{
+    margin: 0 0 0 290px;
 }
 
Index: /trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- /trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 5807)
+++ /trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 5835)
@@ -745,4 +745,6 @@
 	if( !repeat )
 	    return( false );
+	if(typeof(repeat) == "object")
+	    return repeat;
 
 	return DataLayer.get( 'repeat', repeat );
@@ -837,4 +839,9 @@
 		if( !notArray ){
 			var dates = {};
+			var typeRepeat = {'none': false, 
+					'daily': 'Repetição diária',
+					'weekly': 'Repetição semanal',
+					'monthly': 'Repetição mensal',
+					'yearly': 'repetição anual'}
 
 			for (var i=0; i < res.length; i++) {
@@ -858,4 +865,9 @@
 				    
 				    var res2 = $.extend( {}, res[i], {'startDate': currentDate.toString( User.preferences.dateFormat ), 'endDate': new Date( occurrences[ii] + duration ).toString( User.preferences.dateFormat ) } );
+				  
+				  
+				  
+				  
+				    res2.repeat = typeRepeat[res[i].repeat.frequency];
 				  
 				    while (counter.compareTo( currentDate ) == 0) {
Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 5752)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 5835)
@@ -370,5 +370,5 @@
 		}
 
-	    DataLayer.render( 'templates/event_repeat.ejs', {event:objEvent}, function( repeatHtml ){
+	    DataLayer.render( path+'templates/event_repeat.ejs', {event:objEvent}, function( repeatHtml ){
 
 			UI.dialogs.addEvent.find('#calendar_addevent_details3').html(repeatHtml);
@@ -2130,5 +2130,5 @@
 				'<input type="hidden" name="page_index" value="'+page_index+'"></inpunt>'+
 				'<input type="hidden" name="keyword" value="'+keyword+'"></inpunt>'+
-				'<label>Não foram encontrados eventos neste intervalo.</label>' +
+				'<label class="empty-result">Não foram encontrados eventos neste intervalo.</label>' +
 				'</div>'
 			);
Index: /trunk/prototype/modules/calendar/templates/event_list.ejs
===================================================================
--- /trunk/prototype/modules/calendar/templates/event_list.ejs	(revision 5409)
+++ /trunk/prototype/modules/calendar/templates/event_list.ejs	(revision 5835)
@@ -108,8 +108,10 @@
 									</p>
 								<%}%>
-								<p class="input-group">
-									<label>Repete em</label>
+								<%if(_event.repeat ){%>
+								    <p class="input-group">
+									<label>Repetição</label>
 									<span><%= _event.repeat %></span>
-								</p>
+								    </p>
+								<%}%>
 								<p class="input-group">
 									<label>Lembretes</label>
Index: /trunk/expressoMail1_2/js/main.js
===================================================================
--- /trunk/expressoMail1_2/js/main.js	(revision 5804)
+++ /trunk/expressoMail1_2/js/main.js	(revision 5835)
@@ -3285,12 +3285,12 @@
 		//$.ajax({ url: "../expressoCalendar/index.php", async: false});
 		//$.ajax({url: "../prototype/modules/calendar/js/calendar.date.js", async: false, beforeSend: function( xhr ) { xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
-		$.ajax({url: "../prototype/modules/calendar/js/map.disponibility.js", async: false, beforeSend: function( xhr ) { xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
-		$.ajax({url: "../prototype/modules/calendar/js/helpers.js", async: false, beforeSend: function( xhr ) { xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
+		$.ajax({url: "../prototype/modules/calendar/js/map.disponibility.js", async: false, beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
+		$.ajax({url: "../prototype/modules/calendar/js/helpers.js", async: false, beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
 		//$.ajax({ url: "../prototype/modules/calendar/js/timezone.js", async: false});
 		//$.ajax({ url: "../prototype/modules/calendar/js/calendar.codecs.js", async: false});
-		$.ajax({url: "../prototype/plugins/encoder/encoder.js", async: false, beforeSend: function( xhr ) { xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
+		$.ajax({url: "../prototype/plugins/encoder/encoder.js", async: false, beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
 		//$.ajax({url: "../prototype/plugins/dateFormat/dateFormat.js", async: false, beforeSend: function( xhr ) { xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
 
-		$.ajax({ url: "../prototype/plugins/fullcalendar/fullcalendar.js", async: false , beforeSend: function( xhr ) { xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
+		$.ajax({url: "../prototype/plugins/fullcalendar/fullcalendar.js", async: false , beforeSend: function( xhr ) {xhr.overrideMimeType('text/javascript; charset=ISO-8859-1')}});
 		
 		
@@ -3417,18 +3417,5 @@
 							});
 							return;
-							break;
-						case 4:
-							alert('Seu evento já se encontra atualizado');
-							return;
-							break;
-						case 5:
-							$.ajax({
-								url: "controller.php?action="+import_url+'&from_ajax=true&selected=true',
-								success: function(msg){
-								alert( ( ( connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso " : "Ocorreu um erro ao atualizar o evento" );
-								}
-							});
-							return;
-							break;
+							break;						
 						case 6:
 							var acceptedSuggestion = confirm("Deseja atualizar o evento de acordo com a sugestão ?");
@@ -3456,5 +3443,5 @@
 										
 										$.ajax({
-											 url: "controller.php?action="+import_url+'&from_ajax=true&selected='+$("#select-agenda option:selected").val()+'&status='+$("#select-status option:selected").val(),
+											 url: "controller.php?action="+import_url+'&from_ajax=true&selected='+ (parseInt(typeImport) == 5 || parseInt(typeImport) == 4 ? 'true' : $("#select-agenda option:selected").val()) +'&status='+$("#select-status option:selected").val(),
 											 success: function(msg){
 													alert( ( (msg = connector.unserialize(msg)) == "ok") ? "Atualizado com sucesso para " : "Ocorreu um erro ao atualizar o evento" );