Index: trunk/INSTALL/arquivos/scripts/imap.sh
===================================================================
--- trunk/INSTALL/arquivos/scripts/imap.sh	(revision 5797)
+++ trunk/INSTALL/arquivos/scripts/imap.sh	(revision 5836)
@@ -44,4 +44,10 @@
 }
 
+imap_ubuntu-11.10 ()
+{
+	imap_debian-squeeze
+}
+
+
 imap_rhel ()
 {
Index: trunk/INSTALL/arquivos/scripts/http.sh
===================================================================
--- trunk/INSTALL/arquivos/scripts/http.sh	(revision 5818)
+++ trunk/INSTALL/arquivos/scripts/http.sh	(revision 5836)
@@ -18,7 +18,12 @@
 	HEADER_PWD=`php $ARQS/scripts/pass.php $LDAP_PWD`
 	sed -e "s/HEADER_PWD/$HEADER_PWD/g" -e "s|EXPRESSO_DIR|$DIR_EXPRESSO|g" $ARQS/header.inc.php > $DIR_EXPRESSO/header.inc.php
+<<<<<<< .mine
+	chmod 640 $DIR_EXPRESSO/header.inc.php
+	
+=======
 	chmod 640 $DIR_EXPRESSO/header.inc.php
 	
 	/etc/init.d/apache2 restart
+>>>>>>> .r5824
 	# Requisita o domino para corrigir o hosts do servidor, utilizado pelo apache
 	get_org
@@ -63,4 +68,12 @@
 	# Copia a configuraÃ§Ã£o do PHP
 	#cp -a debian/squeeze/etc/php5/apache2/php.ini /etc/php5/apache2/
+}
+
+http_ubuntu-11.10()
+{
+	http_debian-squeeze
+	cp -a ubuntu/11.10/.htaccess $DIR_EXPRESSO
+        cp -a ubuntu/11.10/etc/apache2/apache2.conf /etc/apache2/
+	/etc/init.d/apache2 restart
 }
 
Index: trunk/INSTALL/arquivos/scripts/ini.sh
===================================================================
--- trunk/INSTALL/arquivos/scripts/ini.sh	(revision 5797)
+++ trunk/INSTALL/arquivos/scripts/ini.sh	(revision 5836)
@@ -25,4 +25,9 @@
 {
 	ini_debian
+}
+
+ini_ubuntu-11.10 ()
+{
+	ini_debian-squeeze	
 }
 
Index: trunk/INSTALL/arquivos/scripts/ldap.sh
===================================================================
--- trunk/INSTALL/arquivos/scripts/ldap.sh	(revision 5797)
+++ trunk/INSTALL/arquivos/scripts/ldap.sh	(revision 5836)
@@ -55,4 +55,9 @@
 }
 
+ldap_ubuntu-11.10 ()
+{
+	ldap_debian-squeeze
+}
+
 # Parametros: Iguais a funcao ldap;
 ldap_rhel ()
Index: trunk/INSTALL/arquivos/scripts/smtp.sh
===================================================================
--- trunk/INSTALL/arquivos/scripts/smtp.sh	(revision 5797)
+++ trunk/INSTALL/arquivos/scripts/smtp.sh	(revision 5836)
@@ -46,2 +46,8 @@
 	smtp_debian $SQUEEZE
 }
+
+smtp_ubuntu-11.10 ()
+{
+	smtp_debian-squeeze
+}
+
Index: trunk/INSTALL/arquivos/scripts/bd.sh
===================================================================
--- trunk/INSTALL/arquivos/scripts/bd.sh	(revision 5818)
+++ trunk/INSTALL/arquivos/scripts/bd.sh	(revision 5836)
@@ -19,15 +19,46 @@
 	rm -rf $DIR_PG*
 	su - postgres -c "export LANG=pt_BR.ISO-8859-1; initdb -E latin1 -D $DIR_PG"
-	#su - postgres -c 'env LANG=LATIN1 /usr/bin/initdb --locale=pt_BR.iso88591 --encoding=LATIN1 -D /var/lib/pgsql/data/'
+	#su - postgres -c "env LANG=LATIN1 initdb --locale=pt_BR.iso88591 --encoding=LATIN1 -D $DIR_PG"
 	sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD/$LDAP_PWD/g" -e "s/ORG/$ORG/g" -e "s/DOMAIN/$DOMAIN/g" $ARQS/expresso.dump > /tmp/expresso.dump
 	
 
+<<<<<<< .mine
+
+	cp -f $PG_CONF $DIR_CONF/
+	cp -f $PG_HBA $DIR_CONF/
+#	service postgresql start
+=======
 
 	cp -f $PG_CONF $DIR_CONF/
 	cp -f $PG_HBA $DIR_CONF/
 
+>>>>>>> .r5824
 }
 
+<<<<<<< .mine
+bd_ubuntu1110 () {
+        DIR_PG=$1
+        PG_CONF=$2
+        PG_HBA=$3
+        DIR_CONF=$4
+        get_org
+        get_pass
+
+        rm -rf $DIR_PG*
+        su - postgres -c "env LANG=LATIN1 initdb --locale=pt_BR.iso88591 --encoding=LATIN1 -D $DIR_PG"
+        sed -e "s/LDAP_DN/$LDAP_DN/g" -e "s/LDAP_PWD/$LDAP_PWD/g" -e "s/ORG/$ORG/g" -e "s/DOMAIN/$DOMAIN/g" $ARQS/expresso.dump > /tmp/expresso.dump
+
+
+
+        cp -f $PG_CONF $DIR_CONF/
+        cp -f $PG_HBA $DIR_CONF/
+}
+
+
+
 # Cria a base de dados e importa os SQLs padroes
+=======
+# Cria a base de dados e importa os SQLs padroes
+>>>>>>> .r5824
 create_db ()
 {
@@ -35,5 +66,4 @@
 	su - postgres -c 'createdb -E LATIN1 expresso'  || { echo "Falha na criaÃ§Ã£o do banco expresso."; exit 1; }
 	su - postgres -c 'psql -f /tmp/expresso.dump expresso'
-	#su - postgres -c 'psql < /tmp/workflow.dump -U postgres'
 }
 
@@ -56,8 +86,14 @@
 	chmod -R 770 $DIR_PG
 
+<<<<<<< .mine
+	bd $DIR_PG $PG_CONF $PG_HBA $DIR_CONF
+	rm -f $DIR_PG/postgresql.conf
+	rm -f $DIR_PG/pg_hba.conf
+=======
 	bd $DIR_PG $PG_CONF $PG_HBA $DIR_CONF
 	rm -f $DIR_PG/postgresql.conf
 	rm -f $DIR_PG/pg_hba.conf
 
+>>>>>>> .r5824
 	/etc/init.d/postgresql start
 
@@ -72,4 +108,40 @@
 	SQUEEZE=debian/squeeze/$DIR_CONF
 	bd_debian $DIR_PG $SQUEEZE/postgresql.conf $SQUEEZE/pg_hba.conf $DIR_CONF
+}
+
+bd_ubuntu ()
+{
+        DIR_PG="$1"
+        PG_CONF="$2"
+        PG_HBA="$3"
+        DIR_CONF="$4"
+        # Instala os pacotes do servico
+        apt-get install -y postgresql postgresql-common postgresql-client postgresql-client-common
+        /etc/init.d/postgresql stop
+        # Gera um link do initdb, para padronizar com o Centos
+        ln -sf /usr/lib/postgresql/9.1/bin/initdb /usr/bin/
+        # Faz backup da base do Postgres
+        mv $DIR_PG $DIR_PG.`date +"%s"`
+
+        mkdir -p $DIR_PG/main
+        chown -R postgres:postgres $DIR_PG
+        chmod -R 770 $DIR_PG
+
+        bd_ubuntu1110 $DIR_PG $PG_CONF $PG_HBA $DIR_CONF
+        #rm -f $DIR_PG/postgresql.conf
+        #rm -f $DIR_PG/pg_hba.conf
+        /etc/init.d/postgresql start
+
+        # Inicializa a base de dados do Expresso
+        create_db
+}
+
+
+bd_ubuntu-11.10 ()
+{
+        DIR_PG="/var/lib/postgresql/9.1/main"
+        DIR_CONF="/etc/postgresql/9.1/main"
+        UBUNTU=ubuntu/11.10/$DIR_CONF
+        bd_ubuntu $DIR_PG $UBUNTU/postgresql.conf $UBUNTU/pg_hba.conf $DIR_CONF
 }
 